curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/working-hours/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "07ad4193-4354-488c-b45f-293dfa4c90fb",
"timezone": "Etc/UTC",
"message": "We're out of office, come back another time, thank you!",
"workWeek": {
"MONDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"TUESDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"WEDNESDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"THURSDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"FRIDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"SATURDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"SUNDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
}
},
"name": "My Working Hours",
"enabled": true,
"isDefault": true,
"closeConversations": false,
"holidays": [
{
"id": "aae9b06f-a323-4c9c-b807-7a9e4e015405",
"workingHoursId": "07ad4193-4354-488c-b45f-293dfa4c90fb",
"name": "New Year's Day",
"startDate": "2021-01-01",
"endDate": "2021-01-01",
"enabled": true
},
{
"id": "6bfb9b10-caec-4f53-85a9-b87da6afa88f",
"workingHoursId": "07ad4193-4354-488c-b45f-293dfa4c90fb",
"name": "My Holiday",
"startDate": "2021-06-09",
"endDate": "2021-06-09",
"enabled": false
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id '97457D13B1FC79AF3C1A1096AE7E77AB' given! No such entity exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Get working hours
Use this method to get single working hours.
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/1/working-hours/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/1/working-hours/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "07ad4193-4354-488c-b45f-293dfa4c90fb",
"timezone": "Etc/UTC",
"message": "We're out of office, come back another time, thank you!",
"workWeek": {
"MONDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"TUESDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"WEDNESDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"THURSDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"FRIDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"SATURDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
},
"SUNDAY": {
"startTime": 0,
"endTime": 1440,
"enabled": true
}
},
"name": "My Working Hours",
"enabled": true,
"isDefault": true,
"closeConversations": false,
"holidays": [
{
"id": "aae9b06f-a323-4c9c-b807-7a9e4e015405",
"workingHoursId": "07ad4193-4354-488c-b45f-293dfa4c90fb",
"name": "New Year's Day",
"startDate": "2021-01-01",
"endDate": "2021-01-01",
"enabled": true
},
{
"id": "6bfb9b10-caec-4f53-85a9-b87da6afa88f",
"workingHoursId": "07ad4193-4354-488c-b45f-293dfa4c90fb",
"name": "My Holiday",
"startDate": "2021-06-09",
"endDate": "2021-06-09",
"enabled": false
}
]
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Invalid id '97457D13B1FC79AF3C1A1096AE7E77AB' given! No such entity exists."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Working hours Id to get.
Response
OK
Timezone in which working hours apply.
TZ database name from IANA time zone database
Message to be sent as an auto-reply message to the customer.
Working hours name.
Working hours Id.
List of working hours work days.
It must contain all days of the week with 3 parameters each: startTime, endTime and enabled.
Show child attributes
Show child attributes
Working hours enable/disable toggle.
Default working hours.
Close conversation created outside of working hours toggle.
List of working hours holidays.
Show child attributes
Show child attributes